Bug Hunting Session
Bug 81741 - "Orientation" should be a button, not a menu
Summary: "Orientation" should be a button, not a menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Sidebar-Properties-Page
  Show dependency treegraph
 
Reported: 2014-07-25 10:52 UTC by Tin Man
Modified: 2016-10-24 17:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2014-07-25 10:52:51 UTC
Given that the orientation is binary, it should be a button rather than a menu in the sidebar, for faster use.
Comment 1 Joel Madero 2014-07-25 17:32:25 UTC
Hm I don't like this actually - so it would be "Portrait" on/off (and if it's off it sets to Landscape? I personally prefer how it is now. Marking as ux-advice
Comment 2 Tin Man 2014-07-25 20:32:02 UTC
(In reply to comment #1)
> Hm I don't like this actually - so it would be "Portrait" on/off (and if
> it's off it sets to Landscape? I personally prefer how it is now. Marking as
> ux-advice

No, it would be Portrait or Landscape, based on what the current setting is. Just like you have Play and Pause.

Given that the sidebar already has icons that change based on context (all the page icons do, including orientation), I'm thinking it shouldn't be hard to do.
Comment 3 Daniel Hulse 2014-07-26 06:55:20 UTC
So long as the implementation is good, this seems like a fairly commmon-sense ux improvement.
Comment 4 Robinson Tryon (qubit) 2014-07-26 21:41:06 UTC
(In reply to comment #2)
> No, it would be Portrait or Landscape, based on what the current setting is.
> Just like you have Play and Pause.
> 
> Given that the sidebar already has icons that change based on context (all
> the page icons do, including orientation), I'm thinking it shouldn't be hard
> to do.

[chatted w/Joel about interface]

Menu: Format -> Page -> Page has radio buttons to switch between Portrait and Landscape mode. This interface is consistent in Print dialogs in various programs/OSes, but perhaps a single-button interface could work.

In the Sidebar (View -> [x] Sidebar), in the 'Page' pane, if we do use a single button, I suggest that the tooltip be 'Change Orientation'. This seems like a somewhat reasonable enhancement request.
Comment 5 Urmas 2014-07-27 23:30:16 UTC
> No, it would be Portrait or Landscape, based on what the current setting is. 

Such UI 'ideas' are called 'bullshit'.
Comment 6 Tin Man 2014-07-28 07:16:09 UTC
(In reply to comment #5)
> > No, it would be Portrait or Landscape, based on what the current setting is. 
> 
> Such UI 'ideas' are called 'bullshit'.

Please explain.

The choice is always going to be binary. It doesn't make sense to use a menu in this case.
Comment 7 Adolfo Jayme 2014-07-28 10:47:57 UTC
I don’t know why are you feeding a troll.
Comment 8 Joel Madero 2014-07-28 15:12:47 UTC
@Urmas - you know we appreciate what you do for our project but really it's unacceptable to leave a comment just to start a flame war. Next time there will be a temporary ban on the account.

Again - please know we appreciate all the work you do, just these unnecessary comments that just piss everyone off is not going to be okay. If you have a real opinion about UX, join the UX list and be part of the UX community without throwing out unhelpful comments.
Comment 9 Adolfo Jayme 2015-07-03 04:59:40 UTC
I pushed new icons which require this to be implemented; so increasing importance.
Comment 10 Roeland 2016-05-23 21:03:33 UTC
This issue is connected to this request: https://bugs.documentfoundation.org/show_bug.cgi?id=50417
Comment 11 Roeland 2016-05-23 21:28:22 UTC
Also connected: Bug 83830 comment 3
Comment 12 Yousuf Philips (jay) (retired) 2016-10-23 20:14:21 UTC
The page content panel was removed in place of the page deck/tab (bug 83830).